@import "../../vars.css";

:host{
--paper-checkbox-unchecked-background-color: #ffffff;
  --paper-checkbox-checked-color: #329b46;
  --paper-toggle-button-checked-bar-color: #329b46;
  --paper-toggle-button-checked-button-color: white;
  --paper-radio-button-label-color: #555555;
  --paper-radio-button-unchecked-color: #dfe1e5;
  --paper-radio-button-unchecked-background-color: white;
  --paper-radio-button-checked-color: #329b46;
}

.monitor-main-container{
    height: 95%;
    width: 100%;
    display: flex;
    align-items: center;
    /* justify-content: space-evenly; */
    flex-direction: column;
    /* position: relative; */
}

.adc-info-note{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 5rem;
    font-size: 1.2rem;
    font-weight: 400;
    color: var(--color-ti-text-grey-dark);
}

.auto-display-notification{
    position: absolute;
    top: 1rem;
    left: 41%;
    width: 17rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-ti-indicator-yellow);
    height: 1.3rem;
}

.nerr-main-conatiner{
    width: 97%;
    height: 10%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.errorfields-main-container{
    width: 97%;
    height: 55%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.adc-main-container{
    width: 97%;
    height: 34%;
    overflow-x: scroll;
}

.adc-main-container::-webkit-scrollbar-track {
  border-radius: 0px;
  background-color: transparent;
}
.adc-main-container::-webkit-scrollbar {
  width: 5px;
  height: 7px;
  background-color: transparent;
}
.adc-main-container::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: #ccc;
}

.nerr-status-box{
    width: 50%;
    height: 90%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.mask-button{
    width: 15%;
    height: 15%;
    font-weight: 700;
    color: var(--color-ti-text-blue);
    font-size: 0.9rem;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    cursor: pointer;
}

.nerr-header{
    font-size: 1.2rem;
    line-height: 20px;
    font-weight: 500;
    width: 100%;
    height: 45%;
    display: flex;
    align-items: center;
    color: var(--color-ti-text-grey-dark);
}

.nerr-indicators{
    width: 60%;
    height: 48%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-width: 500px;
}

.nerr-state-box{
    width: 30%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.9rem;
    color: var(--color-ti-text-grey-dark);
}

.nerr-config-box{
    width: 40%;
    min-width: 220px;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.9rem;
    color: var(--color-ti-text-grey-dark);
}

#latch-reset-success-toast, #mask-apply-success-toast{
    background-color: var(--color-ti-indicator-green);
    color: white;
}

.nerr-inidcator-display-outer{
    background-color: rgb(245, 142, 142);
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nerr-inidcator-display-inner{
    background-color: var(--color-ti-indicator-red);
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
}

.error-fields-header-box{
    height: 8%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.common-error-fields-box{
    height: 15%;
    width: 75%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.channel-error-box{
    height: 72%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    overflow-x: scroll;
}

.nerr-config-type{
    color: var(--color-ti-text-grey-dark);
}

.channel-error-box::-webkit-scrollbar-track {
  border-radius: 0px;
  background-color: transparent;
}
.channel-error-box::-webkit-scrollbar {
  width: 5px;
  height: 7px;
  background-color: transparent;
}
.channel-error-box::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: #ccc;
}

.error-fields-heading{
    width: 50%;
    height: 100%;
    font-size: 1.2rem;
    font-weight: 500;
    color: var(--color-ti-text-grey-dark);
}

.reset-latch-button{
    width: 50%;
    height: 15%;
    font-weight: 700;
    color: var(--color-ti-text-blue);
    font-size: 0.9rem;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    cursor: pointer;
}

.thermal-box{
    width: 45%;
    height: 100%;
    display: flex;
    flex-direction: column;
     min-width: 580px;
}

.tj-warn-box{
    width: 45%;
    height: 100%;
    display: flex;
    flex-direction: column;
    min-width: 580px;
}

.latch-error-indicator-outer, .tjwarn-error-indicator-outer{
    background-color: rgb(231, 231, 231);
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.latch-error-indicator-inner, .tjwarn-error-indicator-inner{
    background-color: var(--color-ti-indicator-grey);
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
}

.nerr-error-indicator-outer{
    background-color: rgb(231, 231, 231);
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nerr-error-indicator-inner{
    background-color: var(--color-ti-indicator-grey);
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
}

.latch-error-indicator-outer-on, .tjwarn-error-indicator-outer-on{
    background-color: #9fdaa1;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.latch-error-indicator-inner-on, .tjwarn-error-indicator-inner-on{
    background-color: var(--color-ti-indicator-green);
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
}

.nerr-error-indicator-outer-on{
    background-color: #9fdaa1;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nerr-error-indicator-inner-on{
    background-color: var(--color-ti-indicator-green);
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
}

.thermal-heading, .warn-heading{
    height: 30%;
    font-weight: 700;
    color: var(--color-ti-text-grey-dark);
    display: flex;
    align-items: center;
}

.error-box{
    width: 100%;
    height: 60%;
    display: flex;
    justify-content: space-between;
}

.latch-error-container, .tjwarn-error-container{
    width: 40%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.runtime-error-container{
    width: 35%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.latch-error-display-box, .tjwarn-error-display-box{
    display: flex;
    justify-content: space-between;
    width: 40%;
}

.reset-icon{
    cursor: pointer;
    color: #115566;
}

.latch-error-heading, .tjwarn-error-heading{
    color: var(--color-ti-text-grey-dark);
}

.channel-heading{
    width: 100%;
    height: 8%;
    display: flex;
    align-items: center;
    font-weight: 700;
    color: var(--color-ti-text-grey-dark);
}

.table-container{
    width: 100%;
    height: 90%;
    display: flex;
    min-width: 1720px;
}
.table-container-adc{
    width: 100%;
    height: 100%;
    display: flex;
    min-width: 1720px;
}

.channel-text-box{
    height: 100%;
    width: 3%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}
.all-channels-box{
    height: 100%;
    width: 25%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.channel-table-box{
    height: 100%;
    width: 97%;
}

.channel-1-text, .channel-2-text{
    width: 100%;
    height: 40%;
    text-align: center;
    vertical-align: middle;
    display: flex;
    align-items: center;
    border: 0.5px solid #c3c3c3;
}
.all-channes-text{
    width: 100%;
    height: 80%;
    text-align: center;
    vertical-align: middle;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 0.5px solid #c3c3c3;
}

.vertical-text{
    transform: rotate(-90deg);
    white-space: nowrap;
    display: inline-block;
    width: 100%;
    font-weight: bold;
}

.empty-box{
    width: 100%;
    height: 20%;
    background-color: #e4e2e2;
    border: 0.5px solid #c3c3c3;
}
.all-channels-temp-box{
    width: 100%;
    height: 20%;
    background-color: #e4e2e2;
    border: 0.5px solid #c3c3c3;
    display: flex;
    justify-content: center;
    align-items: center;
}

.table-header-main{
    width: 100%;
    height: 20%;
    background-color: #e4e2e2;
    display: flex;
}

.table-header-text{
    width: 12.5%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0.5px solid #c3c3c3;
}
.table-header-text-adc{
    width: 34%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0.5px solid #c3c3c3;
}

.channel-1-main-box, .channel-2-main-box{
    width: 100%;
    height: 40%;
    display: flex;
}

.channel-1-error-type-box, .channel-2-error-type-box{
    width: 12.5%;
    height: 100%;
    display: flex;
    flex-direction: column;
    border: 0.5px solid #c3c3c3;
}

.latch-error-row{
    width: 100%;
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 0.5px solid #c3c3c3;
}

.disable-display{
    opacity: 0.5;
}

.info-icon{
  width: 1rem;
  height: 1rem;
}

.tooltip-wrapper{
    font-size: 0.9rem;
}

.error-display-box-thermal{
    display: flex;
    width: 100%;
    height: 30%;
    align-items: center;
    gap: 2rem;
}

.thermal-type{
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
}

.run-time-error-row{
    width: 100%;
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.channel-1-error-display{
    width: 87.5%;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.channel-1-adc-display{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.channel-1-latch-error-display{
    width: 100%;
    height: 50%;
    display: flex;
}
.channel-1-adc-display-box{
    width: 100%;
    height: 100%;
    display: flex;
}

.table-error-box-display{
    width: 14.28%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0.5px solid #c3c3c3;
}
.table-adc-box-display{
    width: 34%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0.5px solid #c3c3c3;
}

.error-controls{
    width: 90%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.mask-text{
    position: absolute;
    width: 100%;
    height: 24%;
    background-color: #B9E5FB80;
    color: #2C99C4;
    bottom: 0;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
}

.error-controls-runtime{
    width: 90%;
    height: 100%;
    display: flex;
    justify-content: start;
    align-items: center;
    position: relative;
}

.adc-header{
    width: 100%;
    height: 25%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* min-width: 1500px; */
}

.adc-parameter-conatiner{
    width: 100%;
    height: 75%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-width: 1720px;
}

.adc-heading-text{
    font-size: 1.2rem;
    color: var(--color-ti-text-grey-dark);
    font-weight: 500;
}

.adc-control-box{
    width: 15%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.adc-polling-status{
    width: 40%;
    height: 50%;
    display: flex;
    align-items: center;
    background-color: #B9E5FB80;
    justify-content: center;
    color: #2C99C4;
    border-radius: 2rem;
    font-weight: 700;
    padding: 10px;
    font-size: 1rem;
    min-width: 400px;
}

.thermal-status
{
    width: 35%;
    height: 100%;
    display: flex;
    align-items: center;
    background-color: #B9E5FB80;
    justify-content: center;
    color: #2C99C4;
    border-radius: 2rem;
    font-weight: 700;
    min-width: 10rem;
}

.adc-box{
    width: 15%;
    height: 70%;
    border: 0.5px solid #E7E7E7;
    display: flex;
    align-items: center;
    justify-content: center;
}
.adc-box-all-channels-temp{
    width: 75%;
    height: 70%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-adc{
    width: 100%;
    height: 100%;
}

.adc-icon-box{
    width: 30%;
    height: 70%;
    position: relative;
}

.adc-value-box{
    width: 65%;
    height: 70%;
    display: flex;
    flex-direction: column;
}
.adc-value-box-all-channels{
    width: 65%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.image-adc-inner{
    width: 50%;
    height: 50%;
    position: absolute;
    top: 30%;
    left: 25%;
}

.adc-value-heading{
    width: 85%;
    height: 30%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.adc-value-display{
    width: 85%;
    height: 70%;
     display: flex;
     align-items: center;
     font-size: 1.6rem;
     justify-content: center;
}
.adc-value-display-all-channels{
    width: 85%;
    height: 100%;
     display: flex;
     align-items: center;
     font-size: 1.6rem;
     justify-content: center;
}

.modal-view-popup {
  position: absolute;
  z-index: 1000;
  top: 115px;
  right: 5px;
}

.center-space-between{
    align-items: center;
    justify-content: space-between;
}

.manage-popup-outline {
  height: 50vh;
  width: 238px;
  border: 1px solid rgba(218, 218, 218, 0.63);
  border-radius: 2px;
  background-color: #ffffff;
  box-shadow: 0 0 7px 0 rgba(105, 109, 151, 0.28);
  padding: 15px;
}
@media only screen and (min-height: 900px) {
  .manage-popup-outline {
    height: 45vh;
  }
}

.gpioManageColumnText {
  width: 300px;
}

.flex-col {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.top-section-popup {
  margin-bottom: 5px;
}

.style-popup-header {
  height: 15px;
  width: 200px;
  color: #118899;
  font-family: Roboto;
  font-size: 13px;
  font-weight: 500;
  line-height: 15px;
}

.top-sec-container {
  height: 30px;
}

.baseline {
  box-sizing: border-box;
  height: 1px;
  width: 240px;
  border-top: 1px solid rgba(218, 218, 218, 0.8);
}

.popup-btm-section {
  overflow-x: hidden;
  overflow-y: auto;
  height: 70%;
}
.popup-btm-section::-webkit-scrollbar-track {
  border-radius: 0px;
  background-color: transparent;
}
.popup-btm-section::-webkit-scrollbar {
  width: 5px;
  height: 7px;
  background-color: transparent;
}
.popup-btm-section::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background-color: #ccc;
}
.checkbox::shadow #checkbox {
  width: 22px;
}
.checkbox::shadow #checkboxContainer #checkbox {
  height: 16px;
  width: 16px;
  border: 1px solid #329b46;
  border-radius: 3px;
}
.checkbox::shadow #checkboxContainer {
  height: 17px;
  width: 16px;
}
.flex-center{
    align-items: center;
}
.manage-columns-close-icon{
    cursor: pointer;
}

.channel-heading-popup{
    font-size: 1rem;
    font-weight: 500;
    color: var(--color-ti-text-grey-dark);
    height: 15%;
}

.popup-default-style-heading{
    color: #2C99C4;
    font-weight: 600;
}

.channel-contents{
    margin-left: 1.1rem;
}

.mask-apply{
    width: 8rem;
    height: 2rem;
    background-color: #B9E5FB80;
    color: #2C99C4;
    border: 1px solid #2C99C4;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-weight: 700;
}

.mask-action-box{
    width: 100%;
    height: 2rem;
    display:flex;
    justify-content: center;
}

.hide-channel-1{
    justify-content: start !important;
}

.logging-header{
    font-size: 1.1rem;
}

.logging-status-container{
    width: 20rem;
    display: flex;
    align-items: center;
    justify-content: end;
    margin-right: 1rem;
}

ti-widget-button{
    text-transform: none;
    height: 2.1rem;
}

.blinking-dot {
    display: inline-block;
    width: 12px;              
    height: 12px;
    margin-left: 6px;          
    background-color: #00c853; 
    border-radius: 50%;        
    box-shadow: 0 0 6px 2px rgba(0, 200, 83, 0.6); 
    animation: blink 1s infinite ease-in-out;
}

@keyframes blink {
    0%, 100% { opacity: 1; }
    50%      { opacity: 0; }
}

.hide-adc-indicator{
  display: none !important;
}